> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# リフレッシュトークン

> **必要プラン:** 全ユーザー。

アクセストークンの有効期限が切れた場合は、初回のトークンリクエストで取得した`refresh_token`を使用して更新できます。



## OpenAPI

````yaml /jp/api/openapi.json post /token/refresh
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPIを使用して、タスクの管理、クラウド抽出の実行、スクレイピングデータの取得をプログラムで行えます。ベースURL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse APIサーバー
security: []
paths:
  /token/refresh:
    post:
      tags:
        - アクセストークン
      summary: リフレッシュトークン
      description: |-
        **必要プラン:** 全ユーザー。

        アクセストークンの有効期限が切れた場合は、初回のトークンリクエストで取得した`refresh_token`を使用して更新できます。
      operationId: refreshToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - refresh_token
                - grant_type
              properties:
                refresh_token:
                  type: string
                  description: 最初のトークンレスポンスで取得したリフレッシュトークン
                grant_type:
                  type: string
                  description: '`refresh_token`を指定してください。'
                  example: refresh_token
      responses:
        '200':
          description: トークンの更新に成功しました。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      access_token:
                        type: string
                      expires_in:
                        type: integer
                      token_type:
                        type: string
                      refresh_token:
                        type: string
                  requestId:
                    type: string

````